API reference
Create a subscriber
Creates a subscriber in the workspace.
Authorization
apiKey AuthorizationBearer <token>
A scoped fd_test_ or fd_live_ server credential.
In: header
Path Parameters
workspace_id*string
Opaque workspace identifier.
Match
^ws_Header Parameters
Idempotency-Key?string
Stable key identifying this logical mutation for safe retries.
Length
8 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspaces/ws_01JEXAMPLE/subscribers" \ -H "Content-Type: application/json" \ -d '{ "email": "ada@example.com", "name": "Ada Lovelace", "tags": [ "customer" ] }'{ "data": { "id": "sub_01JEXAMPLE", "object": "subscriber", "email": "user@example.com", "name": "string", "status": "active", "tags": [ "string" ], "location": "string", "source": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}
